"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.decryptECDH = decryptECDH;
exports.default = void 0;
exports.encryptECDH = encryptECDH;
exports.generateKey = generateKey;

var _reactNative = require("react-native");

const LINKING_ERROR = `The package 'react-native-secp256k1-urnm' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const Secp256k1UrnmExt = _reactNative.NativeModules.Secp256k1UrnmExt ? _reactNative.NativeModules.Secp256k1UrnmExt : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }

});

function generateKey() {
  return Secp256k1UrnmExt.generateKey();
}

function encryptECDH(data, priv, pub) {
  return Secp256k1UrnmExt.encryptECDH(data, priv, pub);
}

function decryptECDH(data, priv, pub) {
  return Secp256k1UrnmExt.decryptECDH(data, priv, pub);
}

var _default = {
  generateKey,
  encryptECDH,
  decryptECDH
};
exports.default = _default;
//# sourceMappingURL=ext.js.map