"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.decodeBase64WithoutPadding = decodeBase64WithoutPadding;
exports.default = void 0;
exports.encodeBase64WithoutPadding = encodeBase64WithoutPadding;

var hex = _interopRequireWildcard(require("@stablelib/hex"));

var base64 = _interopRequireWildcard(require("@stablelib/base64"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const noPaddingBase64Coder = new base64.Coder('');

function encodeBase64WithoutPadding(data) {
  return noPaddingBase64Coder.encode(data);
}

function decodeBase64WithoutPadding(s) {
  return noPaddingBase64Coder.decode(s);
}

const paddingCharacter = '=';

function getBase64PaddingLength(s) {
  let paddingLength = 0;

  if (paddingCharacter) {
    for (let i = s.length - 1; i >= 0; i--) {
      if (s[i] !== paddingCharacter) {
        break;
      }

      paddingLength++;
    }

    if (s.length < 4 || paddingLength > 2) {
      throw new Error('Base64Coder: incorrect padding');
    }
  }

  return paddingLength;
}

function removeBase64Padding(s) {
  return s.slice(0, s.length - getBase64PaddingLength(s));
}

function addBase64Padding(data) {
  return base64.encode(decodeBase64WithoutPadding(data));
}

var _default = {
  decodeHex: hex.decode,
  encodeHex: hex.encode,
  decodeBase64: base64.decode,
  encodeBase64: base64.encode,
  decodeBase64WithoutPadding,
  encodeBase64WithoutPadding,
  removeBase64Padding,
  addBase64Padding
};
exports.default = _default;
//# sourceMappingURL=utils.js.map