export declare function verify(data: string, sig: string, pub: string): Promise<boolean>;
export declare function sign(data: string, priv: string): Promise<string>;
export declare function secKeyVerify(priv: string): Promise<boolean>;
export declare function computePubkey(priv: string, compressed: boolean): Promise<string>;
export declare function privKeyTweakAdd(priv: string, tweak: string): Promise<string>;
export declare function privKeyTweakMul(priv: string, tweak: string): Promise<string>;
export declare function pubKeyTweakMul(pub: string, tweak: string): Promise<string>;
export declare function pubKeyTweakAdd(pub: string, tweak: string): Promise<string>;
export declare function createECDHSecret(priv: string, pub: string): Promise<string>;
declare const _default: {
    verify: typeof verify;
    sign: typeof sign;
    secKeyVerify: typeof secKeyVerify;
    computePubkey: typeof computePubkey;
    privKeyTweakAdd: typeof privKeyTweakAdd;
    privKeyTweakMul: typeof privKeyTweakMul;
    pubKeyTweakMul: typeof pubKeyTweakMul;
    pubKeyTweakAdd: typeof pubKeyTweakAdd;
    createECDHSecret: typeof createECDHSecret;
};
export default _default;
