import * as hex from '@stablelib/hex';
import * as base64 from '@stablelib/base64';
export declare function encodeBase64WithoutPadding(data: Uint8Array): string;
export declare function decodeBase64WithoutPadding(s: string): Uint8Array;
declare function removeBase64Padding(s: string): string;
declare function addBase64Padding(data: string): string;
declare const _default: {
    decodeHex: typeof hex.decode;
    encodeHex: typeof hex.encode;
    decodeBase64: typeof base64.decode;
    encodeBase64: typeof base64.encode;
    decodeBase64WithoutPadding: typeof decodeBase64WithoutPadding;
    encodeBase64WithoutPadding: typeof encodeBase64WithoutPadding;
    removeBase64Padding: typeof removeBase64Padding;
    addBase64Padding: typeof addBase64Padding;
};
export default _default;
